# PSF-LoginServer - master - net.psforever.packet.game.SquadAction.Unknown
PSF - LoginServer - master - net.psforever.packet.game.SquadAction.Unknown
Keywords: PSF LoginServer master net.psforever.packet.game.SquadAction.Unknown

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  object SquadAction
  Definition Classes
    game
- AddSquadMemberPosition
- AssignSquadMemberToRole
- AssociateWithSquad
- AutoApproveInvitationRequests
- CancelFind
- CancelSelectRoleForYourself
- CancelSquadSearch
- ChangeSquadMemberRequirementsCertifications
- ChangeSquadMemberRequirementsDetailedOrders
- ChangeSquadMemberRequirementsRole
- ChangeSquadPurpose
- ChangeSquadZone
- CloseSquadMemberPosition
- Codecs
- DeleteSquadFavorite
- DisplaySquad
- FindLfsSoldiersForRole
- ListSquadFavorite
- LoadSquadFavorite
- LocationFollowsSquadLead
- NoSquadSearchResults
- RequestListSquad
- ResetAll
- SaveSquadFavorite
- SearchForSquadsWithParticularRole
- SearchMode
- SelectRoleForYourself
- SetListSquad
- SquadMemberInitializationIssue
- StopListSquad
- Unknown

c

net.psforever.packet.game.SquadAction

# Unknown 

###
Companion object Unknown

#### final case class Unknown(badCode: Int, data: BitVector) extends SquadAction with Product with Serializable

Source
  SquadDefinitionActionMessage.scala

Linear Supertypes
Serializable, Product, Equals, SquadAction, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Unknown
2. Serializable
3. Product
4. Equals
5. SquadAction
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Unknown(badCode: Int, data: BitVector)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val badCode: Int
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  val code: Int
   Definition Classes
     SquadAction
8.  val data: BitVector
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SquadAction

### Inherited from AnyRef

### Inherited from Any

### Ungrouped